Skip to main content
POST
/
drives
/
mount
Attach a drive to a local path
curl --request POST \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/drives/mount \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "driveName": "<string>",
  "mountPath": "<string>",
  "drivePath": "<string>",
  "gidMap": "<string>",
  "readOnly": true,
  "uidMap": "<string>"
}
'
{
  "driveName": "<string>",
  "drivePath": "<string>",
  "gidMap": "<string>",
  "message": "<string>",
  "mountPath": "<string>",
  "readOnly": true,
  "success": true,
  "uidMap": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Drive attachment parameters

driveName
string
required
mountPath
string
required
drivePath
string

Optional, defaults to "/"

gidMap
string

Optional, local GID to map (filer GID is always 0)

readOnly
boolean

Optional, defaults to false

uidMap
string

Optional, local UID to map (filer UID is always 0)

Response

OK

driveName
string
drivePath
string
gidMap
string

The local GID used for this mount

message
string
mountPath
string
readOnly
boolean
success
boolean
uidMap
string

The local UID used for this mount

Last modified on May 27, 2026